##############################################################################
#    Copyright (C) 2002  MMmanager.org
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
##############################################################################
"""
"""

ADD_FOLDERS_PERMISSION = 'Add portal folders'

import LayoutTool
from LayoutTypes import *

#CMF
from Products.CMFCore import utils
from Products.CMFCore.DirectoryView import registerDirectory


tools = (LayoutTool.LayoutTool,)

import sys
this_module = sys.modules[ __name__ ]

cmfconf_globals=globals()

z_tool_bases = utils.initializeBasesPhase1 (tools, this_module)

#Make the skins availiable as DirectoryViews
registerDirectory('zpt_skins', globals())

def initialize( context ):

    utils.initializeBasesPhase2( z_tool_bases, context )

    #context.registerHelp(directory='help')
    #context.registerHelpTitle('CMF Portal Configuration Help')

    utils.ToolInit ('CMF Portal Layout Tools', tools=tools,
                product_name='CMFPortalLayout', icon='tool.gif',
            ).initialize(context)
