## Script (Python) "editColumn"
##parameters=
##title=Edit the settings for a column

req = context.REQUEST

column = context
tool = context.portal_layout

ctype = req.get('ctype', 'column')

title = req.get('title', '')

if ctype == 'column':

    if req.has_key('column_locked'):
        columnLocked = 1
    else:
        columnLocked = 0

    layouts = tool.listLayoutObjectsFor(column)
    mainlayouts = req.get('render_in_main', None)
    lockedlayouts = req.get('locked_items', None)

    for layout in layouts:
        if mainlayouts and layout.getId() in mainlayouts:
            layout.setRenderInMain(render=1)
        else:
            layout.setRenderInMain()
        if lockedlayouts and layout.getId() in lockedlayouts:
            layout.setLock(lock=1)
        else:
            layout.setLock()

width = req.get('column_width')
if width == '0':
    width = None

if ctype == 'column':
    if not column.hasProperty('isLocked'):
        column.manage_addProperty(id='isLocked', value=0, type='boolean')

if not column.hasProperty('width'):
    column.manage_addProperty(id='width', value=None, type='string')

if ctype == 'column':
    column.manage_changeProperties(title=title, isLocked=columnLocked, width=width)
else:
    column.manage_changeProperties(title=title, width=width)

msg = 'Settings for column %s saved' % column.title_or_id()
parent = tool.getParentContainerFor(column)

msg = 'Saved page layout'

req.RESPONSE.redirect("%s/edit_layout_columns?portal_status_message=%s" % \
                        (parent.absolute_url(), msg.replace(' ', '+')))