## Script (Python) "createNewObject"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=
##
req = context.REQUEST
cookies = req.cookies
if cookies.has_key('newObjectType'):
    req.RESPONSE.expireCookie('newObjectType')
memtool = context.portal_membership
member = memtool.getAuthenticatedMember()
folderpath = req.get('folderpath', None)
portal_object = context.portal_url.getPortalObject()
uploadable = ['Image', 'File']
newtype = req.get('newType')
msg = ''

if folderpath is not None:
    if folderpath:
        folder = portal_object.restrictedTraverse(folderpath)
    else:
        folder = portal_object
else:
    raise 'Error', 'Folder path is missing'

if newtype in uploadable:
    fileobj = req.get('file', '')
    if fileobj and fileobj.read(1):
        fileobj.seek(0)
        filename = fileobj.filename
        # when uploaded from a windows client
        # the filename contains the entire path
        if filename.find('\\') != -1:
            fileparts = filename.split('\\')
            filename = fileparts[len(fileparts)-1]
        newid = filename
        folder.invokeFactory(id=newid, type_name=newtype)
        newobj = getattr(folder, newid)
        title = req.get('title', None)
        if title:
            newobj.setTitle(title)
        description = req.get('description', None)
        if description:
            newobj.setDescription(description)
        newobj.edit(file=fileobj)
        filesize = newobj.size / 1024
        msg = 'Created new object, uploaded file - size: %d kb' % filesize
    else:
        msg = 'Did not create new object, no file specified for upload'
else:
    newid = context.getUniqueId()
    folder.invokeFactory(id=newid, type_name=newtype)
    newobj = getattr(folder, newid)
    title = req.get('title', None)
    if title:
        newobj.setTitle(title)
    description = req.get('description', None)
    if description:
        newobj.setDescription(description)
    msg = 'Created new %s object' % newtype

if newobj:
    if newtype in ['Folder', 'Content Folder']:
        retview = 'folder_contents'
    else:
        retview = 'view'
    req.RESPONSE.redirect('%s/%s?portal_status_message=%s' % (newobj.absolute_url(), retview, msg.replace(' ', '+')))
